ur_rna.Utilities

## Class Pair<K,V>

- java.lang.Object
- - ur_rna.Utilities.Pair<K,V>

- All Implemented Interfaces:
    java.util.Map.Entry

      public class Pair<K,V>
      extends java.lang.Object
      implements java.util.Map.Entry

  General purpose key-value pair.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `K` | `key`
    `V` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pair(K key, V value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.util.Map.Entry other)`
    `boolean` | `equals(java.lang.Object other)`
    `K` | `getKey()` Returns the key corresponding to this entry.
    `V` | `getValue()` Returns the value corresponding to this entry.
    `int` | `hashCode()`
    `V` | `setValue(java.lang.Object value)` Replaces the value corresponding to this entry with the specified value (optional operation).

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Field Detail

    - #### key

          public final K key

    - #### value

          public final V value

  - ### Constructor Detail

    - #### Pair

          public Pair(K key,
                      V value)

  - ### Method Detail

    - #### equals

          public boolean equals(java.util.Map.Entry other)

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in interface `java.util.Map.Entry`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### getKey

          public K getKey()

      Returns the key corresponding to this entry.
      Specified by:
        `getKey` in interface `java.util.Map.Entry`
      Returns:
        the key corresponding to this entry
      Throws:
        `java.lang.IllegalStateException` - implementations may, but are not required to, throw this exception if the entry has been removed from the backing map.

    - #### getValue

          public V getValue()

      Returns the value corresponding to this entry. If the mapping has been removed from the backing map (by the iterator's `remove` operation), the results of this call are undefined.
      Specified by:
        `getValue` in interface `java.util.Map.Entry`
      Returns:
        the value corresponding to this entry
      Throws:
        `java.lang.IllegalStateException` - implementations may, but are not required to, throw this exception if the entry has been removed from the backing map.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map.Entry`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setValue

          public V setValue(java.lang.Object value)

      Replaces the value corresponding to this entry with the specified value (optional operation). (Writes through to the map.) The behavior of this call is undefined if the mapping has already been removed from the map (by the iterator's `remove` operation).
      Specified by:
        `setValue` in interface `java.util.Map.Entry`
      Parameters:
        `value` - new value to be stored in this entry
      Returns:
        old value corresponding to the entry
      Throws:
        `java.lang.UnsupportedOperationException` - if the `put` operation is not supported by the backing map
        `java.lang.ClassCastException` - if the class of the specified value prevents it from being stored in the backing map
        `java.lang.NullPointerException` - if the backing map does not permit null values, and the specified value is null
        `java.lang.IllegalArgumentException` - if some property of this value prevents it from being stored in the backing map
        `java.lang.IllegalStateException` - implementations may, but are not required to, throw this exception if the entry has been removed from the backing map.